List terminal applications beta

List all the terminal applications for a Moov Account.

To access this endpoint using an access token you'll need to specify the /terminal-applications.read scope.

GET
/terminal-applications
cURL Go .NET Java Ruby TypeScript PHP Python
curl -X GET "https://api.moov.io/terminal-applications" \
  -H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()

mc.ListTerminalApplications(ctx)
using Moov.Sdk;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.TerminalApplications.ListAsync();

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListTerminalApplicationsResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        ListTerminalApplicationsResponse res = sdk.terminalApplications().list()
                .call();

        if (res.terminalApplications().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.terminal_applications.list()

unless res.terminal_applications.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.terminalApplications.list({});

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();



$response = $sdk->terminalApplications->list(

);

if ($response->terminalApplications !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.terminal_applications.list()

    # Handle response
    print(res)
200 401 403 429 500 504
The request completed successfully.
application/json
[
  {
    "terminalApplicationID": "12345678-1234-1234-1234-123456789012",
    "status": "pending",
    "platform": "android",
    "packageName": "com.example.app",
    "sha256Digest": "AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD",
    "versionCode": "20332277"
  }
]

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Response

application/json

appBundleID

string
The app bundle identifier of the terminal application. Will be returned if platform is ios.

packageName

string Pattern
The app package name of the terminal application. Will be returned if platform is android.

platform

string<enum>
Platform of the terminal application.
Possible values: undefined, ios, android

sha256Digest

string
A cryptographic hash of the signing key for the application. Will be returned if platform is android.

status

string<enum>
Status of the terminal application.
Possible values: undefined, pending, enabled, disabled

terminalApplicationID

string
ID of the terminal application.

versionCode

string
The app version code of the terminal application. Will be returned if platform is android.